## 2.1 Structure des fichiers Majic

La structure détaillée des fichiers Majic est décrite dans les documents officiels de référence de la DGI. La description ci-dessous est fournie à titre purement indicatif et ne saurait engager la société Veremes.

Attention, il y existe un décalage d&rsquo;un an entre l&rsquo;année de référence et l&rsquo;année de livraison des fichiers.

Tous les fichiers Majic sont des fichiers TEXTE non délimités. Chaque ligne d&rsquo;un même fichier contient le même nombre de caractères mais la structure d&rsquo;une ligne n&rsquo;est pas constante ce qui rend complexe la lecture et le décodage de chaque fichier.

A chaque type de fichier Majic correspond un format particulier dans FME.
Chaque format génère un ensemble de tables selon un modèle de données relationnel normalisé.

<table class="docutils" border="1">
<thead><tr class="row-even"><th>Format</th><th>Intitulé</th><th>Nombre de tables produites</th></tr></thead><tbody>
 <tr class="row-odd"><td>MAJIC-BATI</td><td>Majic-bati</td><td>10</td></tr>
 <tr class="row-even"><td>MAJIC-NON-BATI</td><td>Majic-non-bati</td><td>5</td></tr>
 <tr class="row-odd"><td>MAJIC-PROPRIETAIRE</td><td>Majic-propriétaire</td><td>2</td></tr>
 <tr class="row-even"><td>MAJIC-FANTOIR</td><td>Majic-fantoir</td><td>3</td></tr>
 <tr class="row-odd"><td>MAJIC-PDL</td><td>Majic-pdl</td><td>4</td></tr>
 <tr class="row-even"><td>MAJIC-LOT-LOCAL</td><td>Majic-revd166-lot-local</td><td>2</td></tr>
</tbody></table>

--
